Bug 104894 - [CI][SHARDS] igt@kms_vblank@pipe-[b|c]-ts-continuation-suspend - fail - Test assertion failure function vblank_ts_cont - Failed assertion: seq2 - seq1 <= 150
Summary: [CI][SHARDS] igt@kms_vblank@pipe-[b|c]-ts-continuation-suspend - fail - Test ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Stanislav Lisovskiy
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 07:48 UTC by Marta Löfstedt
Modified: 2019-04-15 09:01 UTC (History)
3 users (show)

See Also:
i915 platform: BXT, BYT, GLK, ICL, IVB, KBL, SKL, SNB
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2018-02-01 07:48:34 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3708/shard-glkb6/igt@kms_vblank@pipe-c-ts-continuation-suspend.html

(kms_vblank:1353) CRITICAL: Test assertion failure function vblank_ts_cont, file kms_vblank.c:379:
(kms_vblank:1353) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1353) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1353) CRITICAL: unexpected vblank seq 188, should be < 167
Subtest pipe-C-ts-continuation-suspend failed.
Comment 1 Marta Löfstedt 2018-03-02 07:50:55 UTC
Last seen: CI_DRM_3708: 2018-01-31 / 252 runs ago
Comment 2 Marta Löfstedt 2018-03-19 08:04:08 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_1/fi-snb-2600/igt@kms_vblank@pipe-b-ts-continuation-suspend.html


(kms_vblank:1452) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1452) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1452) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1452) CRITICAL: unexpected vblank seq 359, should be < 157
Subtest pipe-B-ts-continuation-suspend failed.
Comment 3 Marta Löfstedt 2018-04-03 10:10:36 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_11/fi-snb-2600/igt@kms_vblank@pipe-a-ts-continuation-suspend.html

(kms_vblank:1446) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1446) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1446) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1446) CRITICAL: unexpected vblank seq 2838, should be < 2635
Subtest pipe-A-ts-continuation-suspend failed.
Comment 5 Martin Peres 2018-04-18 13:26:08 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_22/fi-skl-6600u/igt@kms_vblank@pipe-b-ts-continuation-suspend.html

(kms_vblank:1393) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1393) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1393) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1393) CRITICAL: unexpected vblank seq 581, should be < 340
Subtest pipe-B-ts-continuation-suspend failed.
Comment 6 Martin Peres 2018-04-24 14:19:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_26/fi-kbl-7560u/igt@kms_vblank@pipe-a-ts-continuation-suspend.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_26/fi-kbl-7560u/igt@kms_vblank@pipe-b-ts-continuation-suspend.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_26/fi-kbl-7560u/igt@kms_vblank@pipe-c-ts-continuation-suspend.html

(kms_vblank:1430) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1430) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1430) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1430) CRITICAL: unexpected vblank seq 1055, should be < 992
Subtest pipe-C-ts-continuation-suspend failed.
Comment 7 Martin Peres 2018-09-03 12:16:16 UTC
Also seen on CNL: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_94/fi-cnl-psr/igt@kms_vblank@pipe-c-ts-continuation-suspend.html

(kms_vblank:1293) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1293) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1293) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1293) CRITICAL: unexpected vblank seq 807, should be < 775
Subtest pipe-C-ts-continuation-suspend failed.(km
Comment 8 Martin Peres 2018-09-05 09:34:32 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_103/fi-bsw-n3050/igt@kms_vblank@pipe-c-ts-continuation-suspend.html

(kms_vblank:1554) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1554) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1554) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1554) CRITICAL: unexpected vblank seq 32803, should be < 32756
Subtest pipe-C-ts-continuation-suspend failed.(km
Comment 9 Martin Peres 2018-10-18 10:10:03 UTC
Also seen on ICL: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_130/fi-icl-u2/igt@kms_vblank@pipe-b-ts-continuation-suspend.html

Starting subtest: pipe-B-ts-continuation-suspend
(kms_vblank:1550) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:1550) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:1550) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:1550) CRITICAL: unexpected vblank seq 1581, should be < 1557
Subtest pipe-B-ts-continuation-suspend failed.
Comment 10 Martin Peres 2018-10-29 14:43:47 UTC
Also seen on APL/BXT: https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_10620/shard-apl5/igt@kms_vblank@pipe-c-ts-continuation-dpms-suspend.html

Starting subtest: pipe-C-ts-continuation-dpms-suspend
(kms_vblank:3153) CRITICAL: Test assertion failure function vblank_ts_cont, file ../tests/kms_vblank.c:384:
(kms_vblank:3153) CRITICAL: Failed assertion: seq2 - seq1 <= 150
(kms_vblank:3153) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_vblank:3153) CRITICAL: unexpected vblank seq 13856, should be < 13028
Subtest pipe-C-ts-continuation-dpms-suspend failed.
Comment 11 CI Bug Log 2019-01-28 09:05:29 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SNB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-suspend - Failed assertion: seq2 - seq1 &lt;= 150 -}
{+ BSW SNB BYT HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-suspend - Failed assertion: seq2 - seq1 &lt;= 150 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_195/fi-byt-j1900/igt@kms_vblank@pipe-b-ts-continuation-suspend.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_178/fi-byt-j1900/igt@kms_vblank@pipe-a-ts-continuation-suspend.html
Comment 12 CI Bug Log 2019-01-30 17:01:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SNB BYT HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-suspend - Failed assertion: seq2 - seq1 &lt;= 150 -}
{+ BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-suspend - Failed assertion: seq2 - seq1 &lt;= 150 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_192/fi-ivb-3520m/igt@kms_vblank@pipe-a-ts-continuation-suspend.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_197/fi-ivb-3520m/igt@kms_vblank@pipe-a-ts-continuation-suspend.html
Comment 13 CI Bug Log 2019-02-15 13:30:35 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-suspend - Failed assertion: seq2 - seq1 &lt;= 150 -}
{+ BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-(modeset-rpm)|suspend - Failed assertion: seq2 - seq1 &lt;= 150 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4827/shard-apl4/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4827/shard-kbl7/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5601/shard-apl1/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5601/shard-kbl2/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5602/shard-apl3/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5602/shard-apl3/igt@kms_vblank@pipe-c-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5602/shard-kbl6/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5604/shard-apl3/igt@kms_vblank@pipe-c-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5604/shard-apl6/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5604/shard-kbl6/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5605/shard-apl8/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5605/shard-kbl7/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5603/shard-apl8/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5603/shard-kbl1/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5606/shard-apl1/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5606/shard-kbl5/igt@kms_vblank@pipe-a-ts-continuation-modeset-rpm.html
Comment 14 CI Bug Log 2019-02-15 13:35:17 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-(modeset-rpm)|suspend - Failed assertion: seq2 - seq1 &lt;= 150 -}
{+ BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-(modeset-rpm)|suspend - Failed assertion: seq2 - seq1 &lt;= 150 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5601/shard-apl8/igt@kms_vblank@pipe-c-ts-continuation-modeset.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5604/shard-apl5/igt@kms_vblank@pipe-c-ts-continuation-modeset.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5605/shard-apl6/igt@kms_vblank@pipe-c-ts-continuation-modeset.html
Comment 15 CI Bug Log 2019-02-15 13:46:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-(modeset-rpm)|suspend - Failed assertion: seq2 - seq1 &lt;= 150 -}
{+ BSW SNB BYT IVB HSW SKL BXT APL KBL GLK CFL WHL CNL ICL: igt@kms_vblank@pipe-[abc]-ts-continuation-* - Failed assertion: seq2 - seq1 &lt;= 150 +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5604/shard-apl6/igt@kms_vblank@pipe-b-ts-continuation-dpms-rpm.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5603/shard-apl8/igt@kms_vblank@pipe-b-ts-continuation-dpms-rpm.html
Comment 16 Stanislav Lisovskiy 2019-03-18 09:10:46 UTC
I see that on some machines pipe-a-ts-continuation-suspend constantly fails as ts sequence difference is always something around 500 and not 150 which is encoded in the test. I would wonder where is this magic "150" comes from? Is is somekind of hard requirement or some calculated value? 
Should we change "150" to be calculated instead of being hardcoded?
Comment 17 Stanislav Lisovskiy 2019-04-02 12:53:24 UTC
This is fixed in:

https://patchwork.freedesktop.org/patch/292993/
Comment 18 Arek Hiler 2019-04-15 09:01:46 UTC
commit 86c207e3b8bb0d499f62c8e2a2d6ee4c990d586c
Author:     Stanislav Lisovskiy <stanislav.lisovskiy@intel.com>
AuthorDate: Wed Apr 3 17:20:40 2019 +0300
Commit:     Petri Latvala <petri.latvala@intel.com>
CommitDate: Wed Apr 10 16:02:38 2019 +0300

Thanks for the patch and the review. We haven't seen the bug since this fix made it in :-)

Closing the bug as fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.